Uploaded image for project: 'phpBB3'
  1. phpBB3
  2. PHPBB3-10609

Prefix phpBB functions with phpbb_ to prevent compatibility issues with other software

    Details

    • Type: Task
    • Status: Unverified Fix
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 3.1.0-dev
    • Fix Version/s: 3.1.0-a1
    • Component/s: None
    • Labels:
      None

      Description

      As naderman pointed out: http://area51.phpbb.com/phpBB/viewtopic.php?f=108&t=42501
      Some software, such as Drupal, uses functions with the same name as some functions found in phpBB, which brings up compatibility issues when someone tries to integrate phpBB into Drupal.

      Currently, all new functions in the global scope and classes added to 3.1 are required to use the "phpbb_" prefix. However, the functions that are causing errors when integrating with other software are the ones that are currently in phpBB. So, the solution would be to prefix problematic phpBB functions (aka ones that will likely also pop up in other software) with phpbb_.

      On a related note, and this would be more up to the MOD Team, I think, but MODs and Extensions for 3.1+ would then be required to use either: phpbb_ or phpbb_%mod% (where %mod% is a unique MOD identifier consisting of lowercase and underscore), so that MODs would not introduce this kind of error in the future.

        Attachments

          Activity

            People

            • Assignee:
              igorw Igor Wiedler [X] (Inactive)
              Reporter:
              imkingdavid David King
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: